package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.IllegalShipData;

/**
 * 嫌疑违法船舶Mapper接口
 * 
 * @author xintong
 * @date 2021-11-05
 */
public interface IllegalShipDataMapper 
{
    /**
     * 查询嫌疑违法船舶
     * 
     * @param id 嫌疑违法船舶ID
     * @return 嫌疑违法船舶
     */
    public IllegalShipData selectIllegalShipDataById(Long id);

    /**
     * 查询嫌疑违法船舶列表
     * 
     * @param illegalShipData 嫌疑违法船舶
     * @return 嫌疑违法船舶集合
     */
    public List<IllegalShipData> selectIllegalShipDataList(IllegalShipData illegalShipData);

    /**
     * 新增嫌疑违法船舶
     * 
     * @param illegalShipData 嫌疑违法船舶
     * @return 结果
     */
    public int insertIllegalShipData(IllegalShipData illegalShipData);

    /**
     * 修改嫌疑违法船舶
     * 
     * @param illegalShipData 嫌疑违法船舶
     * @return 结果
     */
    public int updateIllegalShipData(IllegalShipData illegalShipData);

    /**
     * 删除嫌疑违法船舶
     * 
     * @param id 嫌疑违法船舶ID
     * @return 结果
     */
    public int deleteIllegalShipDataById(Long id);

    /**
     * 批量删除嫌疑违法船舶
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteIllegalShipDataByIds(Long[] ids);
}
